### Function

# ICalGLib VcardProperty kind_and_string_to_enum

since: 4.0

#### Declaration [src]

    gint
    i_cal_vcard_property_kind_and_string_to_enum (
      int kind,
      const gchar* str
    )

#### Description [src]

Returns enum value for the provided `kind` and `str`, or 0 for unknown kind.

Available since: 4.0

#### Parameters

`kind`

  Type: `int`

  An `ICalVcardValueKind` as integer.

`str`

  Type: `const gchar*`

  A string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

Enum value for the provided `kind` and `str`, or 0 for unknown kind.